﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Index</title>
    
    <%= Html.Telerik().StyleSheetRegistrar()                      
        .DefaultGroup(group => group
            .Add("Site.css")
            .Add("telerik.common.css")                                                             
            .Add("telerik.office2007.min.css"))                     
    %>
        
</head>
<body>
    <% Html.Telerik().Grid((IEnumerable<MyData>)ViewData["Data"])
           .Name("Grid")
           
           .DataKeys(keys =>
               keys.Add(key => key.RecID)
           )
           .Columns(cols => {
               cols.Bound(col => col.RecID);
               cols.Bound(col => col.OrderID);
               cols.Bound(col => col.OrderDate);
               cols.Bound(col => col.Descr);
           })           
           .Render();
    %>

<% using(Html.BeginForm("SaveEditedData", "Home")) { %>
<div>
    <div>        
        <%= Html.Telerik().IntegerTextBox()
                .Name("RecID")                          
                .Value(2)            
                .InputHtmlAttributes(new {value = "2"})                                     
                .EmptyMessage(null)                
            %> 
    </div>
    <div>        
        <%= Html.Telerik().IntegerTextBox()
                .Name("OrderID")                          
                .Value(5)
                .InputHtmlAttributes(new { value = "5" })                                                
                .EmptyMessage(null)                
            %>            
    </div>
    <div>        
        <%= Html.Telerik().DatePicker()
                .Name("OrderDate")
                .ClientEvents(events => events.OnLoad("datepicker_load"))
            %>            
    </div>
    <div>
        <%= Html.TextBox("Descr", null) %>
    </div>   
</div>
<% } %>    

    <% Html.Telerik().ScriptRegistrar()          
            .Render(); %>

    <script type="text/javascript">
        function datepicker_load(e) {
            $(this).data('tDatePicker').value("02/02/2007");
        }
    </script>
</body>
</html>
